import Request from '@/utils/request/request-util';

/**
 * 门户后台管理 - 轮播图api
 *
 */
export class CarouselApi {
    /**
     * 获取列表（带分页）
     * @param {*} params
     */
    static findPage(params) {
        return Request.get('/portalSlideshow/page', params);
    }

    /**
     * 添加
     * @param {*} params
     */
    static add(params) {
        return Request.post('/portalSlideshow/add', params);
    }
    /**
     * 编辑
     * @param {*} params
     */
    static edit(params) {
        return Request.post('/portalSlideshow/edit', params);
    }
    /**
     * 删除单个
     * @param {*} params
     */
    static delete(params) {
        return Request.post('/portalSlideshow/delete', params);
    }
    /**
     * 删除多个
     * @param {*} params
     */
    static batchDelete(params) {
        return Request.post('/portalSlideshow/batchDelete', params);
    }
    /**
     * 详情
     * @param {*} params
     */
    static detail(params) {
        return Request.getAndLoadData('/portalSlideshow/detail', params);
    }
    /**
     * 列表
     * @param {*} params
     */
    static list(params) {
        return Request.getAndLoadData('/portalSlideshow/list', params);
    }
    /**
     * 获取前台轮播图列表
     * @param {*} params
     */
    static summary(params) {
        return Request.post('/component/slideshow/summary', params);
    }
    /**
     * 获取门户下的所有轮播图
     * @param {*} params
     */
    static getSelectList(params) {
        return Request.getAndLoadData('/component/slideshow/getSelectList', params);
    }
}